/*

Politecnico di Torino - Fondamenti di Informatica (06AZN)

una possibile soluzione del tema d'esame del 26/6/2014
[ minimale, senza praticamente nessun controllo ]

*/


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define NP 13
#define MAXBUFLEN 255
#define FRIS_NAME "risultati.txt"


FILE *my_fopen (char *fname, char *fmode)
{
   FILE *fp = fopen (fname, fmode);
   if (fp ==NULL)
   {
      fprintf (stderr, "errore - impossibile aprire il file %s in modo %s\n",
         fname, fmode);
      exit (1);
   }
   return fp;
}


int main (int argc, char *argv[])
{
  FILE *fris;
  FILE *fsch;
  char buf[MAXBUFLEN+1];
  int i, g1, g2;
  int ris;
  int ngiusti = 0;

  if (argc != 2)
     return 1;

  fsch = my_fopen (argv[1], "r");

  fris = my_fopen (FRIS_NAME, "r");

  for (i=1; i<=NP; i++) 
  {
     // lettura riga partita i-esima
     fgets (buf, MAXBUFLEN, fris);

     // lettura goal partita i-esima
     sscanf (buf, "%*s %*s %d %d", &g1, &g2);

     // calcolo risultato 1 X 2
     if (g1 > g2)
        ris = '1';
     else if (g1 < g2)
        ris = '2';
     else // g1 == g2
        ris = 'X';

     // lettura riga pronostico i-esimo
     fgets (buf, MAXBUFLEN, fsch);

     // verifico se il risultato compare all'interno del pronostico
     if (strchr(buf,ris) != NULL)
        ngiusti++;
  }

  printf ("azzeccati %d pronostici\n", ngiusti);

  fclose (fris);
  fclose (fsch);

  return 0;
}
